<div mat-dialog-title> Zgłoś zdarzenie</div>
<mat-dialog-content>
  <form [formGroup]="reportForm">
    <mat-form-field>
      <mat-label>Podaj powód zgłoszenia</mat-label>
      <mat-select formControlName="reason">
        <mat-option value="OUTDATED">Nieaktualne zgłoszenie</mat-option>
        <mat-option value="FAULTY">Fałszywe zdarzenie</mat-option>
        <mat-option value="OTHER">Inny powód</mat-option>
      </mat-select>
      <mat-error *ngIf="reason.invalid">Musisz podać powód zgłoszenia</mat-error>
    </mat-form-field>
    <mat-form-field>
      <mat-label>Podaj dodatkowe informacje dot. zgłoszenia</mat-label>
      <textarea matInput maxlength="1000" formControlName="content"></textarea>
    </mat-form-field>
  </form>

</mat-dialog-content>
<mat-dialog-actions align="center">
  <button mat-button [mat-dialog-close]="null">Anuluj</button>
  <button mat-flat-button [mat-dialog-close]="{reason: reason.value, content: content.value}" color="primary" [disabled]="!reportForm.valid">Zgłoś</button>
</mat-dialog-actions>
